Subject: Re: [23/32] powerpc: copy_thread(): rename 'arg' argument to 'kthread_arg'

From: Alex Dowad <[email-masked]>
Date: Tue, 24 Mar 2015 21:49:51 +0200

On 20/03/15 01:54, Michael Ellerman wrote:
> On Thu, 2015-03-19 at 09:22 +0200, Alex Dowad wrote:
>> On 19/03/15 08:45, Michael Ellerman wrote:
>>> On Fri, 2015-13-03 at 18:14:46 UTC, Alex Dowad wrote:
>>>> The 'arg' argument to copy_thread() is only ever used when forking a new
>>>> kernel thread. Hence, rename it to 'kthread_arg' for clarity (and consistency
>>>> with do_fork() and other arch-specific implementations of copy_thread()).
>>>    
>>> I don't understand the bit about consistency with do_fork() ?
>>>
>> This series of patches includes one patch which renames the arg for
>> do_fork(), and others which rename the same arg for each arch-specific
>> implementation of copy_thread(). So if all of them are accepted and
>> merged, then all will be consistent. If only some of the patches are
>> accepted, I will rewrite the commit message so it doesn't mention
>> "consistency".
> Ah OK, I only got patch 23, so I missed the context of the whole series.
>
> I'll apply this one to the powerpc tree.
>
Dear M. Ellerman, sorry for not replying promptly. If you would like to 
apply this directly to the powerpc tree, that is fine, but can I edit 
the commit message to remove the mention of 'consistency'? I doubt that 
all 30+ archs will ever merge this change. Thanks, Alex